export enum UsersConstants {
    REGISTER_REQUEST = 'USERS_REGISTER_REQUEST',
    REGISTER_SUCCESS = 'USERS_REGISTER_SUCCESS',
    REGISTER_FAILURE = 'USERS_REGISTER_FAILURE',

    LOGIN_REQUEST = 'USERS_LOGIN_REQUEST',
    LOGIN_SUCCESS = 'USERS_LOGIN_SUCCESS',
    LOGIN_FAILURE = 'USERS_LOGIN_FAILURE',
    
    LOGOUT_REQUEST = 'USERS_LOGOUT_REQUEST',
    LOGOUT_SUCCESS = 'USERS_LOGOUT_SUCCESS',
    LOGOUT_FAILURE = 'USERS_LOGOUT_FAILURE',

    GETANTIFORGERYTOKEN_REQUEST = 'USERS_GETANTIFORGERYTOKEN_REQUEST',
    GETANTIFORGERYTOKEN_SUCCESS = 'USERS_GETANTIFORGERYTOKEN_SUCCESS',
    GETANTIFORGERYTOKEN_FAILURE = 'USERS_GETANTIFORGERYTOKEN_FAILURE',

    GETALL_REQUEST = 'USERS_GETALL_REQUEST',
    GETALL_SUCCESS = 'USERS_GETALL_SUCCESS',
    GETALL_FAILURE = 'USERS_GETALL_FAILURE',

    REMOVE_REQUEST = 'USERS_REMOVE_REQUEST',
    REMOVE_SUCCESS = 'USERS_REMOVE_SUCCESS',
    REMOVE_FAILURE = 'USERS_REMOVE_FAILURE'    
};
